Bug 653244 - list command in qpid-tool acts strangely
list command in qpid-tool acts strangely
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
1.3
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: messaging-bugs
MRG Quality Engineering
:
: 741247 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-14 23:02 EST by Raymond Mancy
Modified: 2014-12-07 20:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Mancy 2010-11-14 23:02:44 EST
Description of problem:

When issueing the 'list' command, it seems to take a few try for it to hit the data

Version-Release number of selected component (if applicable):

qpid-tools-0.7.946106-11.el5

How reproducible:
 always

Steps to Reproduce:
1.qpid-tool
2.list
3.
  
Actual results:
nothing displayed

Expected results:

data displayed

Additional info:

After typing it about three times it pop up 

[root@localhost api]# qpid-tool
Management Tool for QPID
qpid: list
Summary of Objects by Type:
qpid: list
Summary of Objects by Type:
qpid: list
Summary of Objects by Type:
    Package                 Class         Active  Deleted
    =======================================================
    org.apache.qpid.broker  binding       16      0
    org.apache.qpid.broker  system        1       0
    org.apache.qpid.broker  broker        1       0
    org.apache.qpid.broker  subscription  6       0
    org.apache.qpid.broker  connection    2       0
    org.apache.qpid.broker  session       2       0
    com.redhat.rhm.store    store         1       0
    org.apache.qpid.broker  queue         6       0
    org.apache.qpid.broker  exchange      9       0
    org.apache.qpid.broker  vhost         1       0
Comment 1 Ted Ross 2010-11-15 08:28:37 EST
This is actually normal behavior for qpid-tool.  The reason is that qpid-tool is purely passive in its operation.  It collects management data published by the broker agent and stores it locally for display.  This means that there is often a delay of a few seconds before there is any data available.

A valid request for enhancement would be to alter this behavior and have qpid-tool operate more actively (i.e. make an explicit data request on startup) so that there is no delay in availability.

I'll leave this BZ open and perhaps it can be renamed to be a feature request.
Comment 2 Hans de Goede 2011-09-27 17:33:52 EDT
*** Bug 741247 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.